package org.seasar.jsf.processor;

import org.seasar.jsf.JsfConstants;
import org.seasar.jsf.TagProcessor;

/**
 * @author higa
 *  
 */
public class SelectProcessor extends TagProcessorImpl {

	public SelectProcessor(String inject) {
		super(inject);
	}

	public void addChild(TagProcessor child) {
		if (child instanceof TextProcessor
				|| getProperty(JsfConstants.ITEMS_ATTR) != null) {
			return;
		}
		super.addChild(child);
	}
}